use std::error::Error;
use fenir::database::find_cwe_by_id;
use get_cwe::CweDisplayType;

fn main() -> Result<(), Box<dyn Error>> {
    let cwe_id = 20;
    println!("Searching for cwe {}", cwe_id);

    let cwe = find_cwe_by_id(cwe_id).unwrap();

    CweDisplayType::All.show(&cwe);

    Ok(())
}